% \begingroup %# dynamic equation old and new
% # SIMPLE COM
% % model old simple com:
% dd_theta = (-2*F_wg*I_f*R_w*mu*sp.cos(gamma) - 2*F_wg*I_f*R_w*sp.sin(gamma) + I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta) - I_f*R_w*mu*(F_fg*sp.cos(gamma) - F_hy) - I_f*R_w*(F_fg*sp.sin(gamma) - F_hx) + 2*I_f*T_m - L_wf*R_w*m_ft*(mu*sp.cos(beta) - sp.sin(beta))*(F_fg*L_wf*sp.cos(beta + gamma) + F_hx*L_wh*sp.sin(beta) - F_hy*L_wh*sp.cos(beta) - 2*T_m))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

% % model new simple com:
% dd_theta = (-2*F_wg*I_f*R_w*mu*sp.cos(gamma) - 2*F_wg*I_f*R_w*sp.sin(gamma) + I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta) - I_f*R_w*mu*(F_fg*sp.cos(gamma) - F_hy) - I_f*R_w*(F_fg*sp.sin(gamma) - F_hx) + 2*I_f*T_m - L_wf*R_w*m_ft*(mu*sp.cos(beta) - sp.sin(beta))*(F_fg*L_wf*sp.cos(beta + gamma) + F_hx*L_wh*sp.sin(beta) - F_hy*L_wh*sp.cos(beta) - 2*T_m))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

%# ELABORATE COM
% model old elaborate com:
% dd_theta = (-2*F_wg*I_f*R_w*mu*sp.cos(gamma) - 2*F_wg*I_f*R_w*sp.sin(gamma) + I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta) - I_f*R_w*mu*(F_fg*sp.cos(gamma) - F_hy) - I_f*R_w*(F_fg*sp.sin(gamma) - F_hx) + 2*I_f*T_m + L_wf*R_w*m_ft*(mu*sp.cos(beta) - sp.sin(beta))*(-F_fg*L_wf*sp.cos(beta + gamma) + F_fg*W_wf*sp.sin(beta + gamma) - F_hx*L_wh*sp.sin(beta) + F_hy*L_wh*sp.cos(beta) + 2*T_m))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

%* model new elaborate com:
dd_theta = (-2*F_wg*I_f*R_w*mu*sp.cos(gamma) - 2*F_wg*I_f*R_w*sp.sin(gamma) + I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta) - I_f*R_w*mu*(F_fg*sp.cos(gamma) - F_hy) - I_f*R_w*(F_fg*sp.sin(gamma) - F_hx) + 2*I_f*T_m + L_wf*R_w*m_ft*(mu*sp.cos(beta) - sp.sin(beta))*(-F_fg*L_wf*sp.cos(beta + gamma) + F_fg*W_wf*sp.sin(beta + gamma) - F_hx*L_wh*sp.sin(beta) + F_hy*L_wh*sp.cos(beta) + 2*T_m))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

% % Subdivided into forces:
% F_hx: R_w*(I_f - L_wf*L_wh*m_ft*mu*sp.sin(2*beta)/2 + L_wf*L_wh*m_ft*sp.sin(beta)**2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% F_hx: R_w*(I_f - L_wf*L_wh*m_ft*mu*sp.sin(2*beta)/2 + L_wf*L_wh*m_ft*sp.sin(beta)**2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% F_hx: R_w*(I_f - L_wf*L_wh*m_ft*mu*sp.sin(2*beta)/2 + L_wf*L_wh*m_ft*sp.sin(beta)**2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
F_hx: R_w*(I_f - L_wf*L_wh*m_ft*mu*sp.sin(2*beta)/2 + L_wf*L_wh*m_ft*sp.sin(beta)**2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

% F_hy: R_w*(I_f*mu + L_wf*L_wh*m_ft*mu*sp.cos(beta)**2 - L_wf*L_wh*m_ft*sp.sin(2*beta)/2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% F_hy: R_w*(I_f*mu + L_wf*L_wh*m_ft*mu*sp.cos(beta)**2 - L_wf*L_wh*m_ft*sp.sin(2*beta)/2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% F_hy: R_w*(I_f*mu + L_wf*L_wh*m_ft*mu*sp.cos(beta)**2 - L_wf*L_wh*m_ft*sp.sin(2*beta)/2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
F_hy: R_w*(I_f*mu + L_wf*L_wh*m_ft*mu*sp.cos(beta)**2 - L_wf*L_wh*m_ft*sp.sin(2*beta)/2)/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

% F_fg: R_w*(-I_f*mu*sp.cos(gamma) - I_f*sp.sin(gamma) - L_wf**2*m_ft*mu*sp.cos(beta)*sp.cos(beta + gamma) + L_wf**2*m_ft*sp.sin(beta)*sp.cos(beta + gamma))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% F_fg: R_w*(-I_f*mu*sp.cos(gamma) - I_f*sp.sin(gamma) - L_wf**2*m_ft*mu*sp.cos(beta)*sp.cos(beta + gamma) + L_wf**2*m_ft*sp.sin(beta)*sp.cos(beta + gamma))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% F_fg: R_w*(-I_f*mu*sp.cos(gamma) - I_f*sp.sin(gamma) - L_wf**2*m_ft*mu*sp.cos(beta)*sp.cos(beta + gamma) + L_wf**2*m_ft*sp.sin(beta)*sp.cos(beta + gamma) + L_wf*W_wf*m_ft*mu*sp.sin(beta + gamma)*sp.cos(beta) - L_wf*W_wf*m_ft*sp.sin(beta)*sp.sin(beta + gamma))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
F_fg: R_w*(-I_f*mu*sp.cos(gamma) - I_f*sp.sin(gamma) - L_wf**2*m_ft*mu*sp.cos(beta)*sp.cos(beta + gamma) + L_wf**2*m_ft*sp.sin(beta)*sp.cos(beta + gamma) + L_wf*W_wf*m_ft*mu*sp.sin(beta + gamma)*sp.cos(beta) - L_wf*W_wf*m_ft*sp.sin(beta)*sp.sin(beta + gamma))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

% F_wg: -2*R_w*(mu*sp.cos(gamma) + sp.sin(gamma))/(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w)
% F_wg: -2*R_w*(mu*sp.cos(gamma) + sp.sin(gamma))/(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w)
% F_wg: -2*R_w*(mu*sp.cos(gamma) + sp.sin(gamma))/(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w)
F_wg: -2*R_w*(mu*sp.cos(gamma) + sp.sin(gamma))/(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w)

% T_m: 2*(I_f + L_wf*R_w*m_ft*mu*sp.cos(beta) - L_wf*R_w*m_ft*sp.sin(beta))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% T_m: 2*(I_f + L_wf*R_w*m_ft*mu*sp.cos(beta) - L_wf*R_w*m_ft*sp.sin(beta))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
% T_m: 2*(I_f + L_wf*R_w*m_ft*mu*sp.cos(beta) - L_wf*R_w*m_ft*sp.sin(beta))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
T_m: 2*(I_f + L_wf*R_w*m_ft*mu*sp.cos(beta) - L_wf*R_w*m_ft*sp.sin(beta))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

% rest: I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w)
% rest: I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w)
% rest: I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w)
rest: I_f*L_wf*R_w*d_beta**2*m_ft*mu*sp.sin(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w) + I_f*L_wf*R_w*d_beta**2*m_ft*sp.cos(beta)/(2*I_f*I_w + I_f*R_w**2*m_ft + 2*I_f*R_w**2*m_w)

% F_wy: 0
% F_wy: 0
% F_wy: 0
F_wy: 0

% F_wx: 0
% F_wx: 0
% F_wx: 0
F_wx: 0

%# Difference between F_fg simple and elaborate:
F_fg: R_w*(-I_f*mu*sp.cos(gamma) - I_f*sp.sin(gamma) - L_wf**2*m_ft*mu*sp.cos(beta)*sp.cos(beta + gamma) + L_wf**2*m_ft*sp.sin(beta)*sp.cos(beta + gamma))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))
F_fg: R_w*(-I_f*mu*sp.cos(gamma) - I_f*sp.sin(gamma) - L_wf**2*m_ft*mu*sp.cos(beta)*sp.cos(beta + gamma) + L_wf**2*m_ft*sp.sin(beta)*sp.cos(beta + gamma) + L_wf*W_wf*m_ft*mu*sp.sin(beta + gamma)*sp.cos(beta) - L_wf*W_wf*m_ft*sp.sin(beta)*sp.sin(beta + gamma))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

\textbf{ + (L_wf*W_wf*m_ft*mu*sp.sin(beta + gamma)*sp.cos(beta) - L_wf*W_wf*m_ft*sp.sin(beta)*sp.sin(beta + gamma))/(I_f*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))*R_w}
% \endgroup

% \begingroup %# new dynamic equation added constraint
%% model:
dd_theta = (F_fg*L_wf*R_w*mu*sp.cos(beta + gamma)/sp.cos(beta) - F_fg*L_wh*R_w*mu*sp.cos(gamma) - F_fg*L_wh*R_w*sp.sin(gamma) - F_fg*R_w*W_wf*mu*sp.sin(beta + gamma)/sp.cos(beta) + F_hx*L_wh*R_w*mu*sp.tan(beta) + F_hx*L_wh*R_w - 2*F_wg*L_wh*R_w*mu*sp.cos(gamma) - 2*F_wg*L_wh*R_w*sp.sin(gamma) + 2*L_wh*T_m - 2*R_w*T_m*mu/sp.cos(beta))/(L_wh*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

Subdivided into forces:
F_hx: R_w*(mu*sp.tan(beta) + 1)/(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w)

F_fg: R_w*(-L_wh*(mu*sp.cos(gamma) + sp.sin(gamma))*sp.cos(beta) + mu*(L_wf*sp.cos(beta + gamma) - W_wf*sp.sin(beta + gamma)))/(L_wh*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w)*sp.cos(beta))

F_wg: -2*R_w*(mu*sp.cos(gamma) + sp.sin(gamma))/(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w)

T_m: 2*(L_wh - R_w*mu/sp.cos(beta))/(L_wh*(2*I_w + R_w**2*m_ft + 2*R_w**2*m_w))

F_wy: 0

F_wx: 0

rest: 0

F_hy: 0
% \endgroup